<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_74) on Wed Mar 02 13:32:48 CET 2016 -->
<title>DateItem (QA API)</title>
<meta name="date" content="2016-03-02">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="DateItem (QA API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/CheckBox.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Dialog.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html" target="_top">Frames</a></li>
<li><a href="DateItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui</div>
<h2 title="Class DateItem" class="title">Class DateItem</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui.DateItem</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">DateItem</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements <a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></pre>
<div class="block">Executes actions on OpenbravoERP date items built upon SmartClient user interface library.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>elopio</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#DateItem--">DateItem</a></span>()</code>
<div class="block">Class constructor.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#DateItem-java.lang.String-">DateItem</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString)</code>
<div class="block">Class constructor.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#clear--">clear</a></span>()</code>
<div class="block">Clear the contents of the date item.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#click--">click</a></span>()</code>
<div class="block">Click the date item.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#focus--">focus</a></span>()</code>
<div class="block">Set the focus to the date item.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#getTitle--">getTitle</a></span>()</code>
<div class="block">Get the title of the date item.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#getValue--">getValue</a></span>()</code>
<div class="block">Get the text of the date item.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#isEnabled--">isEnabled</a></span>()</code>
<div class="block">Return true if the date item is enabled.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#isPresent--">isPresent</a></span>()</code>
<div class="block">Return true if the date item is present.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#isVisible--">isVisible</a></span>()</code>
<div class="block">Return true if the date item is visible.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#pressEnter--">pressEnter</a></span>()</code>
<div class="block">Press the enter key on the date item.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#setSmartClientLocator-java.lang.String-">setSmartClientLocator</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;smartClientLocator)</code>
<div class="block">Set the SmartClient Locator of the date item.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#setValue-java.lang.Object-">setValue</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</code>
<div class="block">Enter a text on the date item.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html#waitUntilEnabled--">waitUntilEnabled</a></span>()</code>
<div class="block">Wait until the date item is enabled.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="DateItem-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DateItem</h4>
<pre>public&nbsp;DateItem(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;objectString)</pre>
<div class="block">Class constructor.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>objectString</code> - JavaScript expression that can be evaluated to get a reference to the SmartClient GUI
          object.</dd>
</dl>
</li>
</ul>
<a name="DateItem--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>DateItem</h4>
<pre>public&nbsp;DateItem()</pre>
<div class="block">Class constructor.
 
 This constructor will just instantiate the date item, but after this the date item will not be
 ready to be used. It has to be initialized using the function setSmartClientLocator in order to
 be used with Selenium.
 
 This is an alternate way to access the SmartClient object, and should be used only if there is
 no way to get the object string. Always prefer to call the other constructor with the object
 string as a parameter, because it will set the SmartClient Locator. With this method the
 actions that require to call SmartClient functions and attributes directly will not be
 available.</div>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setSmartClientLocator-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSmartClientLocator</h4>
<pre>public&nbsp;void&nbsp;setSmartClientLocator(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;smartClientLocator)</pre>
<div class="block">Set the SmartClient Locator of the date item.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>smartClientLocator</code> - The SmartClient locator of the item.</dd>
</dl>
</li>
</ul>
<a name="click--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>click</h4>
<pre>public&nbsp;void&nbsp;click()</pre>
<div class="block">Click the date item.</div>
</li>
</ul>
<a name="pressEnter--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pressEnter</h4>
<pre>public&nbsp;void&nbsp;pressEnter()</pre>
<div class="block">Press the enter key on the date item.</div>
</li>
</ul>
<a name="clear--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clear</h4>
<pre>public&nbsp;void&nbsp;clear()</pre>
<div class="block">Clear the contents of the date item.</div>
</li>
</ul>
<a name="setValue-java.lang.Object-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setValue</h4>
<pre>public&nbsp;void&nbsp;setValue(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;value)</pre>
<div class="block">Enter a text on the date item.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#setValue-java.lang.Object-">setValue</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>value</code> - The text to enter.</dd>
</dl>
</li>
</ul>
<a name="getValue--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getValue</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getValue()</pre>
<div class="block">Get the text of the date item.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#getValue--">getValue</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current value of the field.</dd>
</dl>
</li>
</ul>
<a name="getTitle--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTitle</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTitle()</pre>
<div class="block">Get the title of the date item.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#getTitle--">getTitle</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the title of the input field.</dd>
</dl>
</li>
</ul>
<a name="focus--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>focus</h4>
<pre>public&nbsp;void&nbsp;focus()</pre>
<div class="block">Set the focus to the date item.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#focus--">focus</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></code></dd>
</dl>
</li>
</ul>
<a name="isPresent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPresent</h4>
<pre>public&nbsp;boolean&nbsp;isPresent()</pre>
<div class="block">Return true if the date item is present.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#isPresent--">isPresent</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the date item is present. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="isVisible--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isVisible</h4>
<pre>public&nbsp;boolean&nbsp;isVisible()</pre>
<div class="block">Return true if the date item is visible.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#isVisible--">isVisible</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the date item is visible. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="isEnabled--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnabled</h4>
<pre>public&nbsp;boolean&nbsp;isEnabled()</pre>
<div class="block">Return true if the date item is enabled.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#isEnabled--">isEnabled</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the date item is enabled. Otherwise, false.</dd>
</dl>
</li>
</ul>
<a name="waitUntilEnabled--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>waitUntilEnabled</h4>
<pre>public&nbsp;void&nbsp;waitUntilEnabled()</pre>
<div class="block">Wait until the date item is enabled.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html#waitUntilEnabled--">waitUntilEnabled</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/InputField.html" title="interface in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui">InputField</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/CheckBox.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../../../../com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/Dialog.html" title="class in com.openbravo.test.integration.erp.modules.userinterface.smartclient.gui"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?com/openbravo/test/integration/erp/modules/userinterface/smartclient/gui/DateItem.html" target="_top">Frames</a></li>
<li><a href="DateItem.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small><i>Copyright &#169; 2015 Openbravo. All Rights Reserved.</i></small></p>
</body>
</html>
